<?php
/**
 * Déclarations des autorisations
 *
 * @author     Anne-lise Martenot (http://elastick.net)
 * @plugin     Depublie
 * @copyright  2014
 * @licence    GNU/GPL
 * @package    SPIP\Depublie\Pipelines
 */

if (!defined('_ECRIRE_INC_VERSION')) return;

function depublie_autoriser(){}

/**
 * Autorisation d'afficher le champ de dépublication sur un article
 */
function autoriser_depublierafficher($faire, $type, $id, $qui, $opt) {
	if (!function_exists('lire_config')) {
		include_spip('inc/config');
	}
	$table = table_objet_sql($type);
	$trouver_table = charger_fonction('trouver_table', 'base');
	$desc = $trouver_table($table);
	
	$champs = array();
	
	if (lire_config('depublie/rubrique_depublie') != '' AND isset($desc['field']['id_rubrique'])){
		$champs[] = 'id_rubrique';
	}
	
	if (lire_config('depublie/secteur_depublie') != '' AND isset($desc['field']['id_secteur'])){
		$champs[] = 'id_secteur';
	}
			
	// on évite un select id_rubrique, id_secteur sur les objets qui n'en ont pas
	if (count($champs)) {
		$id_table_objet = id_table_objet($type);
		$infos_rubrique = sql_fetsel($champs, $table, "$id_table_objet = " . intval($id));
		if (($infos_rubrique['id_rubrique']!='' AND in_array($infos_rubrique['id_rubrique'], explode(',', lire_config('depublie/rubrique_depublie')))) 
			|| ($infos_rubrique['id_secteur']!='' AND in_array($infos_rubrique['id_secteur'], explode(',', lire_config('depublie/secteur_depublie'))))) {		
			return autoriser('modifier', $type, $id, $qui, $opt) OR autoriser('dater', $type, $id, $qui, $opt);
		} else { 
			return false;
		}
	} else {
		if (isset($desc['statut'])
			AND $desc['statut']){
			return autoriser('modifier', $type, $id, $qui, $opt) OR autoriser('dater', $type, $id, $qui, $opt);
		}
	}
	return false;
}

